#
# spec file for package acroread (Version 8.1.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs ed expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           acroread
BuildRequires:  ed openldap2-client update-desktop-files xorg-x11-devel
%if %suse_version > 1020
BuildRequires:  fdupes libcurl4
%endif
Url:            http://www.adobe.com/products/acrobat/readermain.html
License:        Any commercial
Group:          Productivity/Publishing/PDF
Provides:       linux-ar
Requires:       libgtkembedmoz.so
%if %suse_version < 1030
Requires:       libcrypto.so.0.9.7 libssl.so.0.9.7 libcurl.so.3 libgcc_s.so.1  libstdc++.so.6 libicudata.so.34 libicui18n.so.34 libicuuc.so.34
%elseif %suse_version >= 1030
Requires:       libcrypto.so.0.9.7 libssl.so.0.9.7 libcurl.so.4 libgcc_s.so.1  libstdc++.so.6
%endif
AutoReqProv:    on
Summary:        Adobe Reader for PDF Files
Source0:        ftp://ftp.adobe.com/pub/adobe/reader/unix/8.x/8.1.2/enu/AdobeReader_enu-8.1.2-1.i486.tar.bz2
Source10:       acroread.desktop
Source20:       acroread.png
Patch0:         install.patch
Patch1:         acroread.patch
# this Version is reported when calling "acroread -version"
Version:        8.1.2
Release:        1.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       openldap2-client coreutils
NoSource:       0

%description
The Adobe Reader is proprietary binary-only software.

Normally Adobe Reader is used to display PDF files on the screen. For
this purpose, at least the minimum graphical system must be installed
(the packages that provide the RPM capability "XFree86-libs"). In this
case, the command "acroread file.pdf" can be used to display a PDF file
when the X Window System is up and running. For example, use "acroread
/usr/X11R6/lib/Acrobat7/Reader/help/ENU/Reader.pdf" to display the
Adobe Reader help.

The Adobe Reader can also be used as a PDF to PostScript converter. For
this purpose, no graphical system is required. For example, the command
"acroread -toPostScript -size a4 <file.pdf >file.ps" can be used to
convert a PDF file into a PostScript file that can be sent directly to
a PostScript printer. The command "acroread -help" shows the command
line options.

Adobe Reader is often the only program able to process complicated PDF
files, such as PDF forms. However, there are security leaks and other
bugs that cannot be fixed because the Adobe license forbids us to
"modify the Software in any way." See
http://www.adobe.com/products/acrobat/acrrdistribute.html.

Ghostscript is an alternative program for displaying and converting PDF
files. It can be used with the "gv" and "kghostview" (for KDE)
graphical front-ends. Additionally there is the "xpdf" package.



Authors:
--------
    Adobe Systems Incorporated

%define my_provides /tmp/my-provides
%define my_requires /tmp/my-requires
%define INSTALL_DIR /usr/lib

%prep
# unpack the Source into a suitable directory
# there is the top-level directory "AdobeReader" in the source archive
%setup -n AdobeReader
# apply Patch0 to skip the "OutputLicense" dialog in the INSTALL script
%patch0
# retrieve the gif for desktop
tar -xvf COMMON.TAR Adobe/Reader8/Resource/Icons/128x128/AdobeReader8.png

%build
# there is nothing to build as this package is a binary-only package

%install
# skip the automated stripping because this damages some functionality
# for example a stripped AcroForm.api can no longer fill in forms
# see bug 28717 for details
export NO_BRP_STRIP_DEBUG="true"
# stuff to be done before the installation
# do the installation
./INSTALL <<EOT
$RPM_BUILD_ROOT%INSTALL_DIR
y
EOT
# stuff to be done after the installation
rm -rf $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/bin/UNINSTALL
# set the correct install_dir in the "acroread" start script
# to be safe to note changes in new versions do a test before
grep -q '^install_dir=' $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/bin/acroread || exit 1
sed -i -e 's:^install_dir=.*$:install_dir="/usr/lib/Adobe/Reader8/Reader":' $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/bin/acroread
# Apply workaround for http://bugzilla.novell.com/show_bug.cgi?id=85416 & 147966 & 275088:
pushd $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/bin
    patch -p0 -i $RPM_SOURCE_DIR/acroread.patch
popd
# symlink the executable to a directory which is in the PATH
mkdir -p $RPM_BUILD_ROOT/usr/bin
pushd $RPM_BUILD_ROOT/usr/bin
   ln -sf ../../%INSTALL_DIR/Adobe/Reader8/bin/acroread acroread
popd
# add a link for the browser plugin so that it can be found automatically
mkdir -p $RPM_BUILD_ROOT/usr/lib/browser-plugins
ln -sf %INSTALL_DIR/Adobe/Reader8/Browser/intellinux/nppdf.so $RPM_BUILD_ROOT/usr/lib/browser-plugins/nppdf.so
# Add links to openldap2 libraries needed to avoid bug: 261555
%if %suse_version > 1030
(cd $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/Reader/intellinux/lib && ln -sf ../../../../../../../usr/lib/libldap-2.4.so.? libldap.so)
(cd $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/Reader/intellinux/lib && ln -sf ../../../../../../../usr/lib/liblber-2.4.so.? liblber.so)
%else
(cd $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/Reader/intellinux/lib && ln -sf ../../../../../../../usr/lib/libldap-2.3.so.? libldap.so)
(cd $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/Reader/intellinux/lib && ln -sf ../../../../../../../usr/lib/liblber-2.3.so.? liblber.so)
%endif
for i in Adobe/Reader8/Reader/GlobalPrefs/.config \
         Adobe/Reader8/Resource/Support/AdobeReader.desktop
do
    sed -i -e 's:%{buildroot}::' %{buildroot}%INSTALL_DIR/$i
done
# make the Adobe Reader available in the SUSE menues
%suse_update_desktop_file -i %name Office Viewer
echo "InitialPreference=7" >> $RPM_BUILD_ROOT/usr/share/applications/%name.desktop
# remove duplicated system libraries and massage provides and requires lists:
#
# When a compatible version of a library which comes with the acroread
# binary tarball is already available in the system, it should be deleted.
# See bnc#353251.
# Libraries which come with the acroread tarball where no compatible
# version is available in the system cannot be deleted but they
# should neither be provided nor required by acroread.
# Providing them might cause problems for other packages which
# might require these libraries and requiring them is not necessary
# because they are already within the acroread package).
%if %suse_version < 1030
rm $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/Reader/intellinux/lib/lib{crypto,ssl,curl,gcc_s,stdc++,icudata,icui18n,icuuc}.so*
cat << EOF > %{my_provides}
%{__find_provides} | grep -vE "liblber|libldap" ; exit 0
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}
cat << EOF > %{my_requires}
%{__find_requires} | grep -vE "liblber|libldap" ; exit 0
EOF
chmod 755 %{my_requires}
%define __find_requires %{my_requires}
%elseif %suse_version >= 1030
rm $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/Reader/intellinux/lib/lib{crypto,ssl,curl,gcc_s,stdc++}.so*
# libcurl.so.4 and libcurl.so.3 are supposedly compatible, see bnc#353251 comment #29:
(cd $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/Reader/intellinux/lib && ln -sf ../../../../../../../usr/lib/libcurl.so.4 libcurl.so)
(cd $RPM_BUILD_ROOT%INSTALL_DIR/Adobe/Reader8/Reader/intellinux/lib && ln -sf ../../../../../../../usr/lib/libcurl.so.4 libcurl.so.3)
cat << EOF > %{my_provides}
%{__find_provides} | grep -vE "libicudata|libicui18n|libicuuc|liblber|libldap|libcurl.so.3" ; exit 0
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}
cat << EOF > %{my_requires}
%{__find_requires} | grep -vE "libicudata|libicui18n|libicuuc|liblber|libldap|libcurl.so.3" ; exit 0
EOF
chmod 755 %{my_requires}
%define __find_requires %{my_requires}
%endif
# install the acroread icon for desktop
install -d $RPM_BUILD_ROOT/usr/share/pixmaps
install -m644 Adobe/Reader8/Resource/Icons/128x128/AdobeReader8.png $RPM_BUILD_ROOT/usr/share/pixmaps/acroread.png
# libsccore.so and libextendscript.so have RPATH=. which is not good.
# But we cannot change this in a binary only package, we can only
# disable the check:
export NO_BRP_CHECK_RPATH=true
%if %suse_version > 1020
%fdupes $RPM_BUILD_ROOT%INSTALL_DIR
%endif

%post 
/usr/bin/touch -c %_libdir/browser-plugins/libdragonegg.so

%postun 
/usr/bin/touch -c %_libdir/browser-plugins/libdragonegg.so

%clean
rm -f %{my_provides}
rm -f %{my_requires}

%files 
%defattr(-,root,root)
%doc ReadMe.htm
/usr/share/pixmaps/acroread.png
/usr/bin/acroread
/usr/lib/browser-plugins/nppdf.so
/usr/share/applications/%name.desktop
%dir %INSTALL_DIR/Adobe/
%dir %INSTALL_DIR/Adobe/Help/
%INSTALL_DIR/Adobe/Help/*
%dir %INSTALL_DIR/Adobe/HelpViewer/
%INSTALL_DIR/Adobe/HelpViewer/*
%dir %INSTALL_DIR/Adobe/Reader8
%dir %INSTALL_DIR/Adobe/Reader8/Browser/
%INSTALL_DIR/Adobe/Reader8/Browser/*
%dir %INSTALL_DIR/Adobe/Reader8/Reader/
%INSTALL_DIR/Adobe/Reader8/Reader/*
%dir %INSTALL_DIR/Adobe/Reader8/bin/
%INSTALL_DIR/Adobe/Reader8/bin/*
%dir %INSTALL_DIR/Adobe/Reader8/Resource/
%dir %INSTALL_DIR/Adobe/Reader8/Resource/CMap/
%INSTALL_DIR/Adobe/Reader8/Resource/CMap/Identity*
%dir %INSTALL_DIR/Adobe/Reader8/Resource/Font/
%INSTALL_DIR/Adobe/Reader8/Resource/Font/*
%dir %INSTALL_DIR/Adobe/Reader8/Resource/Icons/
%INSTALL_DIR/Adobe/Reader8/Resource/Icons/*
%dir %INSTALL_DIR/Adobe/Reader8/Resource/Linguistics/
%INSTALL_DIR/Adobe/Reader8/Resource/Linguistics/*
%dir %INSTALL_DIR/Adobe/Reader8/Resource/Support/
%INSTALL_DIR/Adobe/Reader8/Resource/Support/*
%dir %INSTALL_DIR/Adobe/Reader8/Resource/unicode/
%INSTALL_DIR/Adobe/Reader8/Resource/unicode/*

%changelog
* Wed Feb 20 2008 - mfabian@suse.de
- bnc#362926: use "mktemp" to create temporary files in a secure
  way.
- detect the correct directory for the 32bit libgtkembedmoz.so on
  x86_64 systems.
* Wed Feb 20 2008 - mfabian@suse.de
- bnc#353251: remove duplicated system libraries (because of
  security considerations and compatibility problems).
* Thu Feb 14 2008 - mfabian@suse.de
- bnc#358438 comment #31-#33: Workaround to make acroread start
  when XInputExtension is missing on an X-server (this is missing
  on VNC X-servers) and the theme package gtk-qt-engine is
  installed.
* Thu Feb 07 2008 - mfabian@suse.de
- bnc#275088, commment #134-#139: set ACRO_ENABLE_FONT_CONFIG=1
  in the acroread start script.
* Tue Feb 05 2008 - mfabian@suse.de
- update to final release of 8.1.2.
  Fixes bnc#358438, bnc#275088, bnc#353927.
  Official announcement by Adobe is here:
  http://blogs.adobe.com/acroread/2008/02/adobe_reader_812_for_linux_and.html
  “Version 8.1.2 contains scores of bug fixes including security
  vulnerability fixes.”
* Fri Jan 11 2008 - mfabian@suse.de
- use fdupes only for openSUSE >= 10.3.
* Fri Jan 11 2008 - mfabian@suse.de
- update to 8.1.2 (fixes bugzilla #275088).
* Tue Nov 20 2007 - mfabian@suse.de
- apply patch to start script again to use XIM and to add the
  most important directories to PSRESOURCEPATH.
- use fdupes only in %%INSTALL_DIR (/usr/lib) to avoid hardlinks
  to /usr/share which might be on a different partition.
* Tue Oct 16 2007 - mfabian@suse.de
- add "Requires: libgtkembedmoz.so".
* Mon Oct 08 2007 - mfabian@suse.de
- update to 8.1.1.
- fix automatic provides and requires.
- use fdupes.
* Fri Aug 31 2007 - mfabian@suse.de
- Bugzilla #275088: add important font directories to the default
  PSRESOURCEPATH.
* Thu Jul 05 2007 - coolo@suse.de
- adding desktop file and icon to the package instead of relying
  on kde's pool
* Fri Apr 13 2007 - ghorlacher@novell.com
- Added BuildRequires: openldap2-client for mbuild to work.
* Thu Apr 12 2007 - ghorlacher@novell.com
- Updated patch to acroread script for bug #197929.
  Added Requires: openldap2-client and created symbolic links for
  libldap and liblber to avoid error 'PPKLite.api' Bug #261555.
* Fri Feb 02 2007 - ghorlacher@suse.de
- Bug 234534 - acroread doesn't work after last factory upgrade
  Added patch suggested in Bug.
* Wed Jan 24 2007 - ro@suse.de
- move from /usr/X11R6 to /usr
* Sat Jan 20 2007 - ghorlacher@suse.de
- Updated acroread.patch for bug: 197929 - acroread: line 493:
  [: -ge: unary operator expected.
* Wed Jan 17 2007 - ghorlacher@novell.com
- Updated to security patch 7.0.9 from Adobe. Readme.htm and help/
  about reader still show 7.0.8 - varified from Adobe that they
  did not update the revision for this release internally.
* Tue Jun 27 2006 - ghorlacher@suse.de
- Put fix in for error message to stdout (#182376)
* Mon Jun 19 2006 - ghorlacher@novell.com
- Updated to 7.0.8 from Adobe for security fixes (#185936)
* Wed Mar 29 2006 - dmueller@suse.de
- touch dragonegg plugin, so that mozilla refreshes its cache (#155318)
* Sat Mar 18 2006 - ghorlacher@suse.de
- Added acroread.patch for Bugfix: 147966 and 85416 in startup
  script. Removed bugzilla-85416.patch (included in new patch)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 06 2006 - ghorlacher@novell.com
- New version - 7.0.5 from Adobe, updated patches to work with
  new files recieved.
* Fri Aug 19 2005 - ghorlacher@suse.de
- Updated the spec file to reflect new version number. 7.0.1
* Thu Aug 18 2005 - ghorlacher@suse.de
- Updating to version 7.0.1 for security issue. bug 105054
* Wed Aug 17 2005 - mfabian@suse.de
- Bugzilla #85416: add workaround to avoid crash when scim is
  installed (add "export GTK_IM_MODULE=xim" to the start skript).
* Wed Jul 13 2005 - ghorlacher@suse.de
- Added NoSource: 0 back in to spec file
* Tue Jul 12 2005 - ghorlacher@suse.de
- Updating the changelog to reflect the history better
* Fri Jul 08 2005 - ghorlacher@suse.de
- Updating 9.1 9.2 sles9 with version 7 for bug 95350 - security issue
* Thu Jun 23 2005 - ghorlacher@suse.de
- Added back acroread.png extracting the gif from their COMMON.TAR
  file and then installing it to usr/share/pixmaps
* Tue Apr 26 2005 - ro@suse.de
- use NoSource
* Thu Apr 21 2005 - ghorlacher@suse.de
- Updated to Adobe reader 7.0.0 Gold Master
* Fri Apr 08 2005 - ghorlacher@suse.de
- Removed /usr/share/pixmaps/acroread.png from install section for NLD
  Which does not have the suse_update_desktop_file setup for this.
* Wed Mar 30 2005 - jsmeix@suse.de
- Added "norootforbuild".
* Wed Mar 16 2005 - ro@suse.de
- block provides and requires for internal-only copies of
  system libraries
* Wed Mar 16 2005 - jsmeix@suse.de
- Updated to Adobe Reader 7.0.0 RC1
* Thu Dec 16 2004 - jsmeix@suse.de
- Update to version 5.010 which has a security fix that solves
  a problem with malformed mail containing pdf attachments
  (see SUSE bugzilla bug #49257).
* Wed Nov 17 2004 - jsmeix@suse.de
- included the icon /usr/share/pixmaps/acroread.png
  which is installed by %%suse_update_desktop_file
* Wed Aug 04 2004 - jsmeix@suse.de
- Update to version 5.09
* Sun Sep 07 2003 - adrian@suse.de
- raise priority of acroread on pdf files
* Thu Sep 04 2003 - mfabian@suse.de
- unset LC_ALL in start script because Acroread still dumped
  core when LC_ALL was set to an UTF-8 locale
  (see also Bugzilla #28718).
* Mon Aug 18 2003 - jsmeix@suse.de
- Add preun section because of the following reason:
  If Acrobat Reader is run by root then a file ...Font/AdobeFnt*
  is created. This file contains the actual font list of Acrobat
  Reader's fonts. As the actual hostname becomes part of the
  filename it must be deleted by using a wildcard.
* Mon Aug 18 2003 - ro@suse.de
- export NO_BRP_STRIP_DEBUG
* Sat Aug 16 2003 - adrian@suse.de
- install desktop file from kappfinder
* Mon Aug 11 2003 - jsmeix@suse.de
- Removed install_dir.patch because it is version dependend
  as RPM_BUILD_ROOT has the version included.
  Now it is done by in-place changing (using "perl -pi ...")
  $RPM_BUILD_ROOT/usr/X11R6/bin/acroread
* Mon Aug 11 2003 - jsmeix@suse.de
- Security update to version 5.08 from
  ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/5.x/linux-508.tar.gz
  Reason:
  A security patch was applied that solves a problem reported
  with long URLs in weblinks which can cause a buffer overrun.
  See
  http://www.heise.de/security/news/meldung/38468
  and
  bugzilla.suse.de bug number 27666
* Tue Aug 05 2003 - mfabian@suse.de
- use LC_CTYPE=POSIX, otherwise acroread will dump core when
  started with LC_CTYPE set to an UTF-8 locale, for example:
  "LANG=en_US.UTF-8 LC_CTYPE=ja_JP.UTF-8 acroread"
* Thu Jun 26 2003 - ro@suse.de
- mention install_dir.patch  as patch in specfile
- don't use literal RPM_SOURCE_DIR in specfile
* Thu Jun 26 2003 - jsmeix@suse.de
- added install_dir.patch because "use BuildRoot" sets
  RPM_BUILD_ROOT=/var/tmp/acroread-5.07-build
  which leads to the wrong install_dir setting.
* Tue Jun 24 2003 - jsmeix@suse.de
- Security update to version 5.0.7 from
  http://download.adobe.com/pub/adobe/acrobatreader/unix/5.x/linux-507.tar.gz
  Reason:
  It was possible to execute shell commands which are included
  in links in PDF files because the reader executes in this case
  "sh -c <program> <embedded link>" - see
  http://www.heise.de/newsticker/data/dab-16.06.03-000/
* Tue Jun 03 2003 - coolo@suse.de
- use BuildRoot
* Mon Feb 24 2003 - ro@suse.de
- move plugin link to /usr/lib/browser-plugins
* Mon Aug 19 2002 - tsieden@suse.de
- security update to version 5.06
* Tue Jun 11 2002 - tsieden@suse.de
- update to version 5.05, cleanup spec file
* Tue Mar 19 2002 - ro@suse.de
- added symlink in /opt/netscape/plugins
* Thu Dec 06 2001 - mfabian@suse.de
- use LC_NUMERIC=POSIX to make really sure that buildtin fonts
  are found.
* Sat Dec 09 2000 - nashif@suse.de
- sorted group
* Tue May 09 2000 - ro@suse.de
- use english LANG for acroread to make it find builtin fonts
* Wed Mar 29 2000 - ro@suse.de
- fixed access rights for documentation (#2637)
* Thu Feb 24 2000 - freitag@suse.de
- update to version 4.05, nppdf insert again, works with Netscape
* Fri Jan 14 2000 - ro@suse.de
- removed nppdf.so until we finally get a glibc-based version
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Aug 22 1999 - bs@suse.de
- added Check
* Fri Aug 20 1999 - uli@suse.de
- fixed Netscape paths
* Tue Jun 22 1999 - uli@suse.de
- update -> 4.0
* Thu Jan 07 1999 - uli@suse.de
- update 3.01 -> 3.02
- now makes use of Adobe-supplied install script
* Tue Nov 11 1997 - ro@suse.de
- new version 3.01
  installs under /usr/X11R6/lib/Acrobat3
  start script in /usr/X11R6/bin/acroread
